#include <bits/stdc++.h>

using ll = long long;

using namespace std;

void solve() {
    ll n, k;
    cin >> n >> k;
    vector<ll> A(n);
    for (ll i = 0; i < n; i++) {
        cin >> A[i];
    }
    ll s = n - k;
    for (ll i = n - 1; i >= n - k; i--) {
        s += A[i];
    }
    cout << s << '\n';
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ll t = 1;
    //cin >> t;
    for (ll i = 0; i < t; i++) {
        solve();
    }
    return 0;
}
